»

FastScripts 2.7: macOS Mojave 10.14 Compatibility

August 17th, 2018

FastScripts 2.7 is now available for download from the MarsEdit home page and on to the Mac App Store.

This update is particularly important for folks who have already installed Apple’s macOS 10.14 Mojave beta OS. A change in those betas causes FastScripts 2.6.13 and earlier to fail when running scripts that control any other app. If you’ve run into problems with FastScripts where the system reports that it “is not allowed” to control other apps, this update should address those problems.

Although FastScripts is not a very visual app, I also took the opportunity to update it to support Mojave’s forthcoming Dark Mode. The Preferences and alert panels will now adapt to Dark Mode styles, and the option to set a custom color for FastScripts’s menu icon is now adaptive to dark or light mode: you can set a custom color while in either mode and your choice will stick to that mode.

Summary of changes in FastScripts 2.7:

  • Preliminary improvements for macOS Mojave 10.14
    • Fix an issue preventing running scripts that control other apps
    • Initial Dark Mode support for Mojave
  • Fix the “Automatically Check for Updates” option
  • Improved error reporting on script failures
  • Removed old, unused PowerPC code from app
  • Now requires macOS 10.12 or higher

I hope you enjoy the update!

No Responses to “FastScripts 2.7: macOS Mojave 10.14 Compatibility”

Comments are Closed.

Follow the Conversation

Stay up-to-date by subscribing to the Comments RSS Feed for this entry.